<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Synchronize Community and Environmental Datasets</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="../../R.css">
</head><body>

<table width="100%" summary="page for removeNAcomm {BiodiversityR}"><tr><td>removeNAcomm {BiodiversityR}</td><td align="right">R Documentation</td></tr></table>
<h2>Synchronize Community and Environmental Datasets</h2>


<h3>Description</h3>

<p>
These functions may assist to ensure that the sites of the community dataset are the same sites as those from the environmental dataset, something that is assumed to be the case for the <STRONG>BiodiversityR</STRONG> and <STRONG>vegan</STRONG> packages.
</p>


<h3>Usage</h3>

<pre>
same.sites(x,y)
check.datasets(x,y)
removeNAcomm(x,y,variable)
removeNAenv(x,variable)
removezerospecies(x)
subsetcomm(x,y,factor,level,returncomm=T)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>x</code></td>
<td>
Data frame assumed to be the community dataset with variables corresponding to species. </td></tr>
<tr valign="top"><td><code>y</code></td>
<td>
Data frame assumed to be the environmental dataset with variables corresponding to descriptors of sites. </td></tr>
<tr valign="top"><td><code>variable</code></td>
<td>
Name of the variable from the environmental dataset with NA values that indicate those sites that should be removed. </td></tr>
<tr valign="top"><td><code>factor</code></td>
<td>
Variable of the environmental data frame that defines subsets to calculate diversity statistics for. </td></tr>
<tr valign="top"><td><code>level</code></td>
<td>
Level of the variable to create the subset to calculate diversity statistics. </td></tr>
<tr valign="top"><td><code>returncomm</code></td>
<td>
For the selected sites, return the community dataset (TRUE) or the environmental dataset. </td></tr>
</table>

<h3>Details</h3>

<p>
Function <code>same.sites</code> provides a new data frame that has the same row names as the row names of the environmental data set and the same (species) variables as the original community data set. Sites from the original community data set that have no corresponding sites in the environmental data set are not included in the new community data set. (Hint: this function can be especially useful when some sites do not contain any species and where a community dataset was generated by the <code><a href="makecommunitydataset.html">makecommunitydataset</a></code> function.) 
</p>
<p>
Function <code>check.datasets</code> checks whether the community and environmental data sets have the same number of rows, and (if this was the case) whether the rownames of both data sets are the same. The function also returns the dimensions of both data sets.
</p>
<p>
Functions <code>removeNAcomm</code> and <code>removeNAenv</code> provide a new data frame that does not contain <code>NA</code> for the specified variable. The specifed variable is part of the environmental data set. These functions are particularly useful when using community and environmental datasets, as new community and environmental datasets can be calculated that contain information from the same sample plots (sites). An additional result of <code>removeNAenv</code> is that factor levels of any categorical variable that do not occur any longer in the new data set are removed from the levels of the categorical variable.
</p>
<p>
Function <code>removezerospecies</code> removes species from a community dataset that have total abundance that is smaller or equal to zero.
</p>
<p>
Function <code>subsetcomm</code> makes a subset of sites that contain a specified level of a categorical variable from the environmental data set. The same functionality of selecting subsets of the community or environmental data sets are implemented in various functions of <STRONG>BiodiversityR</STRONG> (for example <code><a href="diversityresult.html">diversityresult</a></code>, <code><a href="renyiresult.html">renyiresult</a></code> and <code><a href="accumresult.html">accumresult</a></code>) and have the advantage that it is not necessary to create a new data set. If a community dataset is returned, species that did not contain any individuals were removed from the data set. If an environmental dataset is returned, factor levels that did not occur were removed from the data set.
</p>


<h3>Value</h3>

<p>
The functions return a data frame or results of tests on the correspondence between community and environmental data sets.</p>

<h3>Author(s)</h3>

<p>
Roeland Kindt (World Agroforestry Centre)
</p>


<h3>References</h3>

<p>
Kindt, R. &amp; Coe, R. (2005) 
Tree diversity analysis: A manual and
software for common statistical methods for ecological and
biodiversity studies.
</p>
<p>
<a href="http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp">http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp</a>
</p>


<h3>Examples</h3>

<pre>
library(vegan)
data(dune.env)
data(dune)
dune.env2 &lt;- dune.env
dune.env2[1:4,"Moisture"] &lt;- NA
dune2 &lt;- removeNAcomm(dune,dune.env2,"Moisture")
dune.env2 &lt;- removeNAenv(dune.env2,"Moisture")
dune3 &lt;- same.sites(dune,dune.env2)
check.datasets(dune,dune.env2)
check.datasets(dune2,dune.env2)
check.datasets(dune3,dune.env2)
dune4 &lt;- subsetcomm(dune,dune.env,"Management","NM",returncomm=TRUE)
dune.env4 &lt;- subsetcomm(dune,dune.env,"Management","NM",returncomm=FALSE)
dune5 &lt;- same.sites(dune,dune.env4)
check.datasets(dune4,dune5)
</pre>



<hr><div align="center">[Package <em>BiodiversityR</em> version 1.0 <a href="00Index.html">Index]</a></div>

</body></html>
